Description

I guess a missing feature is the capability to print the content of a windows coming from an identify action.

If the windows is the result from an identify on a vectorial layer on the canvas the print could be a simple list with a poor format.

Instead if the window is the result of an identify on a layer WMS and come with the text/html format.

The page is a good formatting html page.

So the print should be the print of an html page well formatted and with images.

Related issues:

Related to QGIS Application - Feature request # 5892: Enhance the identify on... Closed 2012-06-28

Related to QGIS Application - Feature request # 5887: qgis on a GetFeatureInf... Closed 2012-06-27

Associated revisions

Revision ab2442bb - 2012-11-03 03:23 PM - Jürgen Fischer

allow printing of html results in identify window (implements #6575)

History

#1 - 2012-11-03 06:39 AM - Tim Sutton

Hi

Could you provide two specific WMS urls that would be used for acceptance testing that demonstrate the kinds of GFI responses you want to cater for?

Thanks

Tim

#2 - 2012-11-03 07:22 AM - Jürgen Fischer

the possibility to print html responses is implemented in commit:ab2442bbef.  QWebView now has a context menu that allows to print.

#3 - 2012-11-03 07:26 AM - Jürgen Fischer

Funding offered http://lists.osgeo.org/pipermail/qgis-developer/2012-November/023003.html

#4 - 2012-11-03 08:01 AM - aperi2007 -
Could you provide two specific WMS urls that would be used for acceptance testing that demonstrate the kinds of GFI responses you want to cater

for?

Hi,

I add a wms url to allow the tests.

http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmscatasto&map_resolution=96&language=ita&&SERVICE=WMS&VER

SION=1.3.0&REQUEST=GetFeatureInfo&BBOX=1688099.2455753679387271,4799991.1996674090623856,1688851.6877431189641356,4800405.7102920338511467&CRS=EPSG:3003&WIDTH=1071&HEIGHT=590&LAYERS=rt_cat.idcatbdfog.rt,rt_cat.idcatpart.rt,rt_cat.idcattopo

00405.7102920338511467&CRS=EPSG:3003&WIDTH=1071&HEIGHT=590&LAYERS=rt_cat.idcatbdfog.rt,rt_cat.idcatpart.rt,rt_cat.idcattopon.rt&STYLES=&FORMAT=image/png&QUERY_LAYERS=rt_cat.idcatbdfog.rt,rt_cat.idcatpart.rt,rt_cat.idcattopon.rt&INFO_FORMAT=text/html&I=424&J=239&FEATURE_COUNT=10


rt&STYLES=&FORMAT=image/png&QUERY_LAYERS=rt_cat.idcatbdfog.rt,rt_cat.idcatpart.rt,rt_cat.idcattopon.rt&INFO_FORMAT=text/html&I=424&J=239&FEATURE_COUNT=10


424&J=239&FEATURE_COUNT=10

#5 - 2012-11-03 08:10 AM - aperi2007 -

Hi,

this is another sample of kind of GFI response.

http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmscastore&#38;map_resolution=96&#38;language=ita&#38;&#38;SERVICE=

MS&#38;VERSION=1.3.0&#38;REQUEST=GetFeatureInfo&#38;BBOX=1688099.2455753679387271,4799991.1996674090623856,1688851.6877431189641356,4800405.7102920338511467&#38;CRS=EPSG:3003&#38;WIDTH=1071&#38;HEIGHT=590&#38;LAYERS=r_toscan_cst_delimitazione_fogli&#38;S

189641356,4800405.7102920338511467&#38;CRS=EPSG:3003&#38;WIDTH=1071&#38;HEIGHT=590&#38;LAYERS=r_toscan_cst_delimitazione_fogli&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=r_toscan_cst_delimitazione_fogli&#38;INFO_FORMAT=text/html&#38;I=371&#38;J=192&#38;FEATURE_COUNT=10

gli&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=r_toscan_cst_delimitazione_fogli&#38;INFO_FORMAT=text/html&#38;I=371&#38;J=192&#38;FEATURE_COUNT=10

8;J=192&#38;FEATURE_COUNT=10

Regards

#6 - 2012-11-06 05:55 AM - aperi2007 -

Hi,

I tested it the print is exactly what I need.

One only point.

The choose to use the contextual menu is quite invisible.

The print option is available only when the response is from a getfeatureinfo.

So I guess should be helpful to sue also a dedicated button visible only when the print option is available.

But I know this option is perhaps too complex and too incompatible.

So perhaps should be sufficient a simple label say-ing something like

"print option available"

#7 - 2012-11-06 07:00 AM - Jürgen Fischer

- Status changed from Open to Closed

aperi2007 - wrote:

Hi,

I tested it the print is exactly what I need.
One only point.

The choose to use the contextual menu is quite invisible.

The print option is available only when the response is from a getfeatureinfo.

So I guess should be helpful to sue also a dedicated button visible only when the print option is available.

But I know this option is perhaps too complex and too incompatible.

So perhaps should be sufficient a simple label say-ing something like

"print option available"

commit:4b789b8 adds a print button on the bottom.  If you don't have a HTML response in the result window, it's invisible.  Otherwise it's visible, but

disabled.  When you select a HTML response it becomes enabled and you can print the selected item.

#8 - 2012-11-06 07:01 AM - Jürgen Fischer

- Resolution set to fixed
